<?php

namespace Events\Event;

use DB;
use Illuminate\Database\Seeder;

class EventsTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('events')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'event.events.view',
                'name'      => 'View Events',
            ],
            [
                'slug'      => 'event.events.create',
                'name'      => 'Create Events',
            ],
            [
                'slug'      => 'event.events.edit',
                'name'      => 'Update Events',
            ],
            [
                'slug'      => 'event.events.delete',
                'name'      => 'Delete Events',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'event.events.verify',
                'name'      => 'Verify Events',
            ],
            [
                'slug'      => 'event.events.approve',
                'name'      => 'Approve Events',
            ],
            [
                'slug'      => 'event.events.publish',
                'name'      => 'Publish Events',
            ],
            [
                'slug'      => 'event.events.unpublish',
                'name'      => 'Unpublish Events',
            ],
            [
                'slug'      => 'event.events.cancel',
                'name'      => 'Cancel Events',
            ],
            [
                'slug'      => 'event.events.archive',
                'name'      => 'Archive Events',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/event/events',
                'name'        => 'Events',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/event/events',
                'name'        => 'Events',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'events',
                'name'        => 'Events',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Event',
                'module'    => 'Events',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'event.events.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
